class ViTSTR(Module):
  __parameters__ = ["cls_token", "pos_embed", ]
  __buffers__ = []
  cls_token : Tensor
  pos_embed : Tensor
  training : bool
  _is_full_backward_hook : Optional[bool]
  num_classes : int
  global_pool : str
  num_features : int
  embed_dim : int
  num_prefix_tokens : int
  no_embed_class : bool
  grad_checkpointing : bool
  patch_embed : __torch__.timm.models.layers.patch_embed.PatchEmbed
  pos_drop : __torch__.torch.nn.modules.dropout.Dropout
  blocks : __torch__.torch.nn.modules.container.Sequential
  norm : __torch__.torch.nn.modules.normalization.LayerNorm
  fc_norm : __torch__.torch.nn.modules.linear.Identity
  head : __torch__.torch.nn.modules.linear.___torch_mangle_3.Linear
  def forward(self: __torch__.strhub.models.vitstr.model.ViTSTR,
    x: Tensor,
    seqlen: int=25) -> Tensor:
    x0 = (self).forward_features(x, )
    x1 = torch.slice(torch.slice(x0), 1, None, seqlen)
    b, s, e, = torch.size(x1)
    x2 = torch.reshape(x1, [torch.mul(b, s), e])
    head = self.head
    _0 = (head).forward(x2, )
    num_classes = self.num_classes
    return torch.view(_0, [b, s, num_classes])
  def forward_features(self: __torch__.strhub.models.vitstr.model.ViTSTR,
    x: Tensor) -> Tensor:
    patch_embed = self.patch_embed
    x3 = (patch_embed).forward(x, )
    x4 = (self)._pos_embed(x3, )
    blocks = self.blocks
    x5 = (blocks).forward(x4, )
    norm = self.norm
    return (norm).forward(x5, )
  def _pos_embed(self: __torch__.strhub.models.vitstr.model.ViTSTR,
    x: Tensor) -> Tensor:
    no_embed_class = self.no_embed_class
    if no_embed_class:
      pos_embed = self.pos_embed
      x7 = torch.add(x, pos_embed)
      cls_token = self.cls_token
      _1 = torch.expand(cls_token, [(torch.size(x7))[0], -1, -1])
      x6 = torch.cat([_1, x7], 1)
    else:
      cls_token0 = self.cls_token
      _2 = torch.expand(cls_token0, [(torch.size(x))[0], -1, -1])
      x8 = torch.cat([_2, x], 1)
      pos_embed0 = self.pos_embed
      x6 = torch.add(x8, pos_embed0)
    pos_drop = self.pos_drop
    return (pos_drop).forward(x6, )
