class Block(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  norm1 : __torch__.torch.nn.modules.normalization.LayerNorm
  attn : __torch__.timm.models.vision_transformer.Attention
  ls1 : __torch__.torch.nn.modules.linear.Identity
  drop_path1 : __torch__.torch.nn.modules.linear.Identity
  norm2 : __torch__.torch.nn.modules.normalization.LayerNorm
  mlp : __torch__.timm.models.layers.mlp.Mlp
  ls2 : __torch__.torch.nn.modules.linear.Identity
  drop_path2 : __torch__.torch.nn.modules.linear.Identity
  def forward(self: __torch__.timm.models.vision_transformer.Block,
    x: Tensor) -> Tensor:
    drop_path1 = self.drop_path1
    ls1 = self.ls1
    attn = self.attn
    norm1 = self.norm1
    _0 = (attn).forward((norm1).forward(x, ), )
    _1 = (drop_path1).forward((ls1).forward(_0, ), )
    x0 = torch.add(x, _1)
    drop_path2 = self.drop_path2
    ls2 = self.ls2
    mlp = self.mlp
    norm2 = self.norm2
    _2 = (mlp).forward((norm2).forward(x0, ), )
    _3 = (drop_path2).forward((ls2).forward(_2, ), )
    return torch.add(x0, _3)
class Attention(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  num_heads : int
  scale : float
  qkv : __torch__.torch.nn.modules.linear.Linear
  attn_drop : __torch__.torch.nn.modules.dropout.Dropout
  proj : __torch__.torch.nn.modules.linear.___torch_mangle_0.Linear
  proj_drop : __torch__.torch.nn.modules.dropout.Dropout
  def forward(self: __torch__.timm.models.vision_transformer.Attention,
    x: Tensor) -> Tensor:
    B, N, C, = torch.size(x)
    qkv = self.qkv
    _4 = (qkv).forward(x, )
    num_heads = self.num_heads
    num_heads0 = self.num_heads
    _5 = [B, N, 3, num_heads, torch.floordiv(C, num_heads0)]
    qkv0 = torch.permute(torch.reshape(_4, _5), [2, 0, 3, 1, 4])
    q, k, v, = torch.unbind(qkv0)
    _6 = torch.matmul(q, torch.transpose(k, -2, -1))
    scale = self.scale
    attn = torch.mul(_6, scale)
    attn0 = torch.softmax(attn, -1)
    attn_drop = self.attn_drop
    attn1 = (attn_drop).forward(attn0, )
    _7 = torch.transpose(torch.matmul(attn1, v), 1, 2)
    x1 = torch.reshape(_7, [B, N, C])
    proj = self.proj
    x2 = (proj).forward(x1, )
    proj_drop = self.proj_drop
    return (proj_drop).forward(x2, )
